首页 新闻 搜索 专区 学院

ms sync2.1 能用于sqlce4.0吗?

0
悬赏园豆:10 [已关闭问题] 关闭于 2015-06-03 10:22

使用ef6生成了2种数据库:sql、sqlce。服务器端使用sql数据库,客户端使用sqlce数据库,数据通过sync framework来同步服务器端的sql数据库。

但ef6默认生成的是sqlce4.0数据库,刚刚试了下,在sync2.1版种无法设置同步,请教实现方案。

山上山夫的主页 山上山夫 | 初学一级 | 园豆:159
提问于:2015-06-02 12:09
< >
分享
所有回答(1)
0

sync framework2.1确实不支持,但可以通过其他方法来实现。方法如下:

<runtime>
<assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
<dependentAssembly>
<assemblyIdentity name="System.Data.SqlServerCe" publicKeyToken="89845dcd8080cc91" />
<bindingRedirect oldVersion="3.5.1.0" newVersion="4.0.0.0" />
</dependentAssembly>
</assemblyBinding>
</runtime>

 

参见:https://jtabadero.wordpress.com/2012/04/20/sync-framework-and-sql-compact-4-yes-you-can/

山上山夫 | 园豆:159 (初学一级) | 2015-06-03 10:21
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册